Bug 925971 (drupal6-prepopulate) - Review Request: drupal6-prepopulate - Allows form elements to be pre-populated from the URL
Summary: Review Request: drupal6-prepopulate - Allows form elements to be pre-populate...
Keywords:
Status: CLOSED ERRATA
Alias: drupal6-prepopulate
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anderson Silva
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-23 02:16 UTC by Shawn Iwinski
Modified: 2013-05-24 19:09 UTC (History)
3 users (show)

Fixed In Version: drupal6-prepopulate-2.2-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-15 17:28:08 UTC
ansilva: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Shawn Iwinski 2013-03-23 02:16:37 UTC
Spec URL: http://siwinski.fedorapeople.org/rpmbuild/SPECS/drupal6-prepopulate.spec

SRPM URL: http://siwinski.fedorapeople.org/rpmbuild/SRPMS/drupal6-prepopulate-2.2-1.fc18.src.rpm

Description:
The Prepopulate module allows fields in most forms to be pre-populated from
the $_REQUEST variable.

For example, the following URL:

http://www.example.com/node/add/blog?edit[title]=this is the title

will automatically fill the Title field on a new blog post with the words
"this is the title". Any field can be pre-populated this way, including taxonomy
and CCK fields. You can prepopulate more than one field at a time as well.
Prepopulate is excellent for creating bookmarklets. For examples on usage for
all of these cases, please read the USAGE.txt file that comes with the module
or you can read the online handbook page (http://drupal.org/node/228167).


Fedora Account System Username: siwinski

Comment 1 Anderson Silva 2013-04-22 13:48:43 UTC
License on file contains incorrect address. In the pass, I've added an extra Source for a new license with the proper address, and then file a bug upstream about it.

Also, small warning, not even sure if it is accurate regarding spelling:

drupal6-prepopulate.noarch: W: spelling-error Summary(en_US) pre -> per, ore, pee
The value of this tag appears to be misspelled. Please double-check.

drupal6-prepopulate.noarch: W: spelling-error %description -l en_US pre -> per, ore, pee
The value of this tag appears to be misspelled. Please double-check.

drupal6-prepopulate.noarch: W: spelling-error %description -l en_US bookmarklets -> bookmark lets, bookmark-lets, booklets
The value of this tag appears to be misspelled. Please double-check.

drupal6-prepopulate.noarch: E: incorrect-fsf-address /usr/share/doc/drupal6-prepopulate-2.2/LICENSE.txt
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

Comment 2 Anderson Silva 2013-05-06 13:12:21 UTC
it came to my attention the file license is not a show stopper, approved.

Comment 3 Shawn Iwinski 2013-05-06 18:45:36 UTC
THANKS for the review!


New Package SCM Request
=======================
Package Name: drupal6-prepopulate
Short Description: Allows form elements to be pre-populated from the URL
Owners: siwinski asrob
Branches: f17 f18 f19 el5 el6
InitialCC:

Comment 4 Shawn Iwinski 2013-05-06 18:45:54 UTC
THANKS for the review!


New Package SCM Request
=======================
Package Name: drupal6-prepopulate
Short Description: Allows form elements to be pre-populated from the URL
Owners: siwinski afsilva asrob
Branches: f17 f18 f19 el5 el6
InitialCC:

Comment 5 Gwyn Ciesla 2013-05-06 18:52:28 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2013-05-08 17:00:16 UTC
drupal6-prepopulate-2.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-prepopulate-2.2-1.el6

Comment 7 Fedora Update System 2013-05-08 17:00:38 UTC
drupal6-prepopulate-2.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/drupal6-prepopulate-2.2-1.fc17

Comment 8 Fedora Update System 2013-05-08 17:00:53 UTC
drupal6-prepopulate-2.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal6-prepopulate-2.2-1.el5

Comment 9 Fedora Update System 2013-05-08 17:01:06 UTC
drupal6-prepopulate-2.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/drupal6-prepopulate-2.2-1.fc19

Comment 10 Fedora Update System 2013-05-08 17:02:35 UTC
drupal6-prepopulate-2.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/drupal6-prepopulate-2.2-1.fc18

Comment 11 Fedora Update System 2013-05-08 19:43:12 UTC
drupal6-prepopulate-2.2-1.fc19 has been pushed to the Fedora 19 testing repository.

Comment 12 Fedora Update System 2013-05-15 17:28:08 UTC
drupal6-prepopulate-2.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 13 Fedora Update System 2013-05-17 03:29:11 UTC
drupal6-prepopulate-2.2-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 14 Fedora Update System 2013-05-19 02:39:21 UTC
drupal6-prepopulate-2.2-1.fc17 has been pushed to the Fedora 17 stable repository.

Comment 15 Fedora Update System 2013-05-24 19:09:03 UTC
drupal6-prepopulate-2.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 16 Fedora Update System 2013-05-24 19:09:21 UTC
drupal6-prepopulate-2.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.